--- title: "Put Object Metadata" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/stratus/put-object-meta/ description: "This API enables you to create a signature for the bucket." last_updated: 2026-08-28T06:26:16Z service: Cloud Scale type: api --- # Put Object Metadata ### Description This API allows you to add metadata for the required [object](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/objects/introduction/) stored in a bucket. The Bucket is referred by its [unique bucket name](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/#ideal-practices-to-name-a-bucket), and the required object is referred using its name. > **Note:** * You can use alphanumeric, underscores, or whitespace characters, as well as hyphens, to write your metadata. No other special character is allowed other than the once mentioned. * You can fetch the metadata of an object using the `HEAD` request method. In the response, the metadata will be listed in the key '`x-user-meta`'. * The maximum size limit of characters allowed for the overall metadata is **2047** characters. The character count used to determine the size limit also includes the colon ":" special character used to define the key value pair. ### Request Details #### Request URL `POST` {api-domain}/baas/v1/project/{project_id}/bucket/object/metadata - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Request JSON You must send a JSON with its corresponding values as shown below. **Sample Payload** ```json { "meta_data": { "key1": "value1", "key2": "value2" } } ``` You will feed this **Request JSON** to your **Request Body**, and you need to provide the value of: - **meta_data** ( , mandatory): This JSON will contain the required [meta data](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/objects/introduction/#metadata) in the form of JSON key value pairs. #### Query Parameters - **bucket_name** (Alphanumeric, mandatory): The [name of the bucket](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/#ideal-practices-to-name-a-bucket) - **object_key** (String, mandatory): Will contain the complete name of the object. #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.buckets.objects.CREATE ### Response Details On successful execution, the response will contain the success message indicating that the metadata has been added to the required object. **Sample Request** ```bash curl -X PUT https://api.catalyst.zoho.com/baas/v1/project/10108000003823392/bucket/object/metadata?bucket_name=myBucketName&object_key=image2.png/ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" -H “Content-Type:application/json” -\-data-raw $’{"{"meta_data" : {"key1" : "value1","key2" : "value2"}}"}' ``` **Sample Response** ```json { "status": "success", "data": { "message": "Metadata added successfully" } } ``` ### SDK Documentation * [Put Object Meta Data - Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/stratus/put-object-meta/) * [Put Object Meta Data - Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/stratus/put-object-meta/) * [Put Object Meta Data - Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/stratus/put-object-meta/) * [Stratus - Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/stratus/overview/) * [Stratus - iOS SDK](https://docs.catalyst.zoho.com/en/sdk/ios/v2/cloud-scale/stratus/overview/) * [Stratus - Android SDK](https://docs.catalyst.zoho.com/en/sdk/android/v2/cloud-scale/stratus/overview/) * [Stratus - Flutter SDK](https://docs.catalyst.zoho.com/en/sdk/flutter/v2/cloud-scale/stratus/overview/)